import { GoodFileType } from '@/components/Z3upFiles'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as GoodFileType[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'C2/getList'
  payload: { list: GoodFileType[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'C2/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
